<div layout="row">
	<form 
		ng-submit="runQueryRange(value._query)"
		name="query" 
		id="query-param" 
		layout="column">
		<md-input-container class="md-block">
		  <label translate>Query</label>
		  <input 
		  	required 
		  	md-no-asterisk 
		  	name="query" 
		  	ng-model="value._query.query">
		  <div ng-messages="projectForm.description.$error">
		    <div ng-message="required">This is required.</div>
		  </div>
		</md-input-container>
		<md-input-container class="md-block">
		  <label translate>Start</label>
		  <input 
		  	md-no-asterisk 
		  	name="start" 
		  	ng-model="value._query.start">
		  <div ng-messages="projectForm.description.$error">
		    <div ng-message="required">This is required.</div>
		  </div>
		</md-input-container>
		<md-input-container class="md-block">
		  <label translate>End</label>
		  <input 
		  	md-no-asterisk 
		  	name="end" 
		  	ng-model="value._query.end">
		  <div ng-messages="projectForm.description.$error">
		    <div ng-message="required">This is required.</div>
		  </div>
		</md-input-container>
		<md-input-container class="md-block">
		  <label translate>Step</label>
		  <input 
		  	md-no-asterisk 
		  	name="step" 
		  	ng-model="value._query.step">
		  <div ng-messages="projectForm.description.$error">
		    <div ng-message="required">This is required.</div>
		  </div>
		</md-input-container>
		<input type="submit" hidden="true" />
	</form>
	<div id="query-result" layout="column">
		<hot-table
			 settings="{
			 	colHeaders: true, 
			 	contextMenu: ['row_above', 'row_below', 'remove_row', 'hsep1', 'col_left', 'col_right', 'hsep2', 'remove_row', 'remove_col', 'hsep3', 'undo', 'redo', 'make_read_only', 'alignment', 'borders'], 
			 	afterChange: true
			 }"
		      row-headers="true"
		      min-spare-rows="minSpareRows"
		      datarows="value.value"
		      height="300"
		      width="500"
		      flex>
		</hot-table>
	</div>
</div>